error 404 Not Found: @ember-decorators/controller@^2.5.2


(Jonathan Boler) #1

I know the package exists: https://www.npmjs.com/package/@ember-decorators/controller

6652 verbose argv "/usr/bin/node" "/usr/bin/npm" "install"
6653 verbose node v8.12.0
6654 verbose npm  v6.4.1
6655 error code E404
6656 error 404 Not Found: @ember-decorators/controller@^2.5.2

I get the same error whether using npm or yarn


(Jonathan Boler) #2

I fixed it:

Iā€™m using a private artifactory registry for 1 of the npm modules in my package.json. I specify these options in my ~/.npmrc for this:

_auth = authtokenvaluehere
email = email@address.here
always-auth = true

I also specify these values in the project local .npmrc:

@project:registry=https://project.jfrog.io/project/api/npm/npm/
//project.jfrog.io/project/api/npm/npm/:_auth=${FROG_TOKEN}
//project.jfrog.io/project/api/npm/npm/:always-auth=true

It was something to do with this setup that was causing the not found error. After I removed these config values, ran yarn install then restored these values, then ran yarn install again it worked fine.


(system) #3

This topic was automatically closed 3 days after the last reply. New replies are no longer allowed.